Build #8 for xkcd-0.1.1

[all reports]

Package xkcd-0.1.1
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-24 15:25:51.453689 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies HTTP-4000.3.3, base-4.9.0.0, bytestring-0.10.8.1, directory-1.2.6.2, filepath-1.4.1.0, network-2.6.3.1, tagsoup-0.14
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring mtl-2.2.1...
Configuring network-2.6.3.1...
Building mtl-2.2.1...
Building network-2.6.3.1...
Configuring text-1.2.2.1...
Installed mtl-2.2.1
Building text-1.2.2.1...
Installed network-2.6.3.1
Installed text-1.2.2.1
Configuring tagsoup-0.14...
Configuring parsec-3.1.11...
Building tagsoup-0.14...
Building parsec-3.1.11...
Installed parsec-3.1.11
Configuring network-uri-2.6.1.0...
Building network-uri-2.6.1.0...
Installed network-uri-2.6.1.0
Configuring HTTP-4000.3.3...
Building HTTP-4000.3.3...
Installed tagsoup-0.14
Installed HTTP-4000.3.3
Configuring xkcd-0.1.1...
Building xkcd-0.1.1...
Failed to install xkcd-0.1.1
Build log ( /home/builder/.cabal/logs/xkcd-0.1.1.log ):
cabal: Entering directory '/tmp/cabal-tmp-570/xkcd-0.1.1'
Configuring xkcd-0.1.1...
Building xkcd-0.1.1...
Preprocessing executable 'xkcd' for xkcd-0.1.1...
[1 of 1] Compiling Main             ( src/main.hs, dist/build/xkcd/xkcd-tmp/Main.o )

src/main.hs:2:1: error:
    Failed to load interface for ‘XKCD’
    Use -v to see a list of the files searched for.
cabal: Leaving directory '/tmp/cabal-tmp-570/xkcd-0.1.1'
cabal: Error: some packages failed to install:
xkcd-0.1.1 failed during the building phase. The exception was:
ExitFailure 1